Bug 164462 - krdc requires rdesktop > 1.3.1
krdc requires rdesktop > 1.3.1
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rdesktop (Show other bugs)
4.0
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
: Reopened
Depends On:
Blocks: 246627
  Show dependency treegraph
 
Reported: 2005-07-27 20:30 EDT by Matt Seitz
Modified: 2014-06-18 05:07 EDT (History)
4 users (show)

See Also:
Fixed In Version: RHBA-2008-0225
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-16 15:06:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Seitz 2005-07-27 20:30:52 EDT
The problem described below also applies to RHEL4:

+++ This bug was initially created as a clone of Bug #155543 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; cs-CZ; rv:1.8b) Gecko/20050217

Description of problem:
Running krdc from latest FC3 and requesting connection to 
rdp://192.168.1.12/
ends up with message:
rdesktop Failure
The version of rdesktop you are using (1.3.1) is too old:

rdesktop 1.3.2 or greater is required. A working patch for rdesktop 1.3.1 can be
found in KDE CVS.

No connection is possible trought krdc, however rdesktop itself work ok.

Version-Release number of selected component (if applicable):
kdenetwork-3.3.1-3

How reproducible:
Always

Steps to Reproduce:
1. See description.
2.
3.
  

Actual Results:  Failure - no connection.

Expected Results:  Start rdesktop.

Additional info:

Either rdesktop should be updated to 1.3.2 or krdc should be pathed.
Comment 3 Roger Pena-Escobio 2006-06-16 11:05:27 EDT
after almost a year, there isn't any good knews :-(
as far as RHEL4 U3, same problem :-(
Comment 4 Matt Seitz 2006-06-21 16:50:33 EDT
The KDE patch for rdesktop can be found at:

http://websvn.kde.org/trunk/KDE/kdenetwork/krdc/rdp/rdesktop.patch?rev=409203&view=log
Comment 7 RHEL Product and Program Management 2006-09-05 15:50:56 EDT
The component this request has been filed against is not planned for inclusion
in the next update. The decision is based on weighting the priority and number
of requests for a component as well as the impact on the Red Hat Enterprise
Linux user-base: other components are considered having higher priority and the
number of changes we intend to include in update cycles is limited.
Comment 8 RHEL Product and Program Management 2006-09-05 16:03:36 EDT
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 9 Matt Seitz 2006-09-05 17:04:25 EDT
I'm not sure whether comment 7 and comment 8 mean:

1. rdesktop will not be fixed in RHEL 4, but may be fixed in a future RHEL release
2. rdesktop will not be fixed, ever

I can understand putting off this fix until the next RHEL release.  I cannot
understand simply saying we will never fix this.  The necessary patches seem
small and are already included in this bug report. 

Note:  I tried to reopen this bug, as Comment 8 suggested.  Bugzilla reported
the following error (even though I am the reporter for this bug):

 You tried to change the Status field from CLOSED to NEW, but only the owner or
submitter of the bug, or a sufficiently empowered user, may change that field.
Comment 14 RHEL Product and Program Management 2007-06-09 09:26:52 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 19 errata-xmlrpc 2008-04-16 15:06:06 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0225.html
Comment 20 Matt Seitz 2008-04-16 19:12:07 EDT
In Comment 5, I forgot to mention one more patch from the rdesktop CVS, to 
match the KDE patch:

http://rdesktop.cvs.sourceforge.net/rdesktop/rdesktop/xwin.c?r1=1.155&r2=1.156

Hopefully the errata in Comment 19 already includes this.

Note You need to log in before you can comment on or make changes to this bug.